version: "3.8"

services:
  nginx_proxy_manager:
    image: jc21/nginx-proxy-manager
    container_name: nginx_proxy_manager
    ports:
      - "8341:80"
      - "81:81"
      - "8766:443"
    environment:
      - TZ=America/Los_Angeles
    volumes:
      - /volume1/docker/nginxproxymanager/config.json:/app/config/production.json
      - /volume1/docker/nginxproxymanager/data:/data
      - /volume1/docker/nginxproxymanager/letsencrypt:/etc/letsencrypt
    restart: unless-stopped
